GTK+ Forums

Discussion forum for GTK+ and Programming. Ask questions, troubleshoot problems, view and post example code, or express your opinions.
It is currently Fri Nov 21, 2014 7:18 pm

All times are UTC




Post new topic Reply to topic  [ 3 posts ] 
Author Message
 Post subject: gtk+ with jhbuild
PostPosted: Mon Nov 05, 2012 5:17 pm 
Offline
GTK+ Guru

Joined: Sun Jul 08, 2012 3:14 pm
Posts: 107
Location: Coventry, UK
Dear friends,
Can you kindly help me installing gtk+ using jhbuild? My final goal is to install Epiphany3.6, and did what is said in https://live.gnome.org/Epiphany:
Quote:
jhbuild buildone glib glib-networking libsoup gtk+ WebKit epiphany

but in gtk+, I am getting error, as posted http://pastebin.com/miN32M2t

I am in f17.
Quote:
$ uname -r
3.6.3-1.fc17.x86_64


Top
 Profile  
 
 Post subject: Re: gtk+ with jhbuild
PostPosted: Tue Nov 06, 2012 6:58 am 
Offline
Never Seen the Sunlight

Joined: Thu Mar 24, 2011 2:10 pm
Posts: 328
Location: Sydney, Australia
On the website it says
Quote:
If you are in a hurry and assuming you have a reasonably up-to-date system you might be able to run Epiphany by just building a few dependencies instead of most of the GNOME stack. Try this:

so its clear that it might not actually work in which case you need to modify it to include more of the gtk stack that you are missing. In your case ATK. Try adding atk to the command line and see how it goes. ATK and GTK's relationship has undergone some major changes in GTK3 and its frankly still quite a mess and will be until at least 3.8


Top
 Profile  
 
 Post subject: Re: gtk+ with jhbuild
PostPosted: Fri Nov 16, 2012 4:22 am 
Offline
Never Seen the Sunlight

Joined: Wed Sep 21, 2005 12:07 am
Posts: 563
Location: Portland, OR USA
I'm also running F17 and I can build gtk+ just fine. I can't quite get the whole gnome 3.6 stack yet, but the core stuff is building okay. Building with jhbuild can be a bit tricky. You gotta take each error one at a time--some might mean you need to build something else first and some might be resolved by installing some -devel packages through yum.

A good start is to follow https://live.gnome.org/JhbuildDependencies/Fedora#Fedora_16.2BAC8-17 first. When you get stuck on an error you may want to check in one of the gnome IRC channels (related to the package being built).

_________________
Micah Carrick - Forum Administrator
http://www.micahcarrick.com


Top
 Profile  
 
Display posts from previous:  Sort by  
Post new topic Reply to topic  [ 3 posts ] 

All times are UTC


Who is online

Users browsing this forum: Google [Bot] and 3 guests


You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group